using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Core;
using Windows.UI.Popups;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// Die Elementvorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=234238 dokumentiert.

namespace Millionenquiz
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet werden kann oder auf die innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        internal GameLogic gameLogic;

        public MainPage()
        {
            this.InitializeComponent();
            gameLogic = new GameLogic(this);

            // erste Frage einblenden
            gameLogic.questions[gameLogic.currQuestion].Display(this);

            Window.Current.SizeChanged += window_SizeChanged;
        }

        /// <summary>
        /// Wird aufgerufen, wenn diese Seite in einem Rahmen angezeigt werden soll.
        /// </summary>
        /// <param name="e">Ereignisdaten, die beschreiben, wie diese Seite erreicht wurde. Die
        /// Parametereigenschaft wird normalerweise zum Konfigurieren der Seite verwendet.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void answer1_Click(object sender, RoutedEventArgs e)
        {
            gameLogic.Evaluate(1);
        }

        private void answer2_Click(object sender, RoutedEventArgs e)
        {
            gameLogic.Evaluate(2);
        }

        private void answer3_Click(object sender, RoutedEventArgs e)
        {
            gameLogic.Evaluate(3);
        }

        private void answer4_Click(object sender, RoutedEventArgs e)
        {
            gameLogic.Evaluate(4);
        }

        public void neuStartenHandler(IUICommand command)
        {
            TextBlock tmp;
            gameLogic.winlevel = 0;
            gameLogic.currQuestion = 0;
            gameLogic.questions[gameLogic.currQuestion].Display(this);

            for (int i = 1; i <= GameLogic.NUM_QUESTIONS; ++i)
            {
                Object obj = this.FindName("level" + i);
                tmp = (TextBlock)obj;
                tmp.Foreground = new SolidColorBrush(Windows.UI.Color.FromArgb(255, 255, 215, 0));
            }
        }

        private void window_SizeChanged(object sender, 
                                        WindowSizeChangedEventArgs e)
        {
            // aktuelle Ansicht abfragen
            ApplicationViewState vs = ApplicationView.Value;

            if (vs == ApplicationViewState.Snapped)
            {
                // Code zur Anpassung an die Snapped-Ansicht
                VisualStateManager.GoToState(this, "Snapped", false);
            }
            else if (vs == ApplicationViewState.FullScreenPortrait)
            {
                // Code zur Anpassung an die Snapped-Ansicht
                VisualStateManager.GoToState(this, "Portrait", false);
            }
            else
            {
                // Code zum Rückbau für alle anderen Ansichten
                VisualStateManager.GoToState(this, "AllOthers", false);
            }

        }

    }
}
